Bug 7483 - (int-148173) "Enter code for unlocking SIM card" button visible even if phone is not SIM locked
(int-148173)
: "Enter code for unlocking SIM card" button visible even if phone is not SIM l...
Status: UNCONFIRMED
Product: Settings and Maintenance
Control panel
: 5.0:(20.2010.36-2)
: All Maemo
: Low normal with 1 vote (vote)
: ---
Assigned To: unassigned
: control-panel-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-30 13:47 UTC by Tomasz Dominikowski
Modified: 2012-08-14 08:22 UTC (History)
9 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tomasz Dominikowski (reporter) 2009-12-30 13:47:58 UTC
SOFTWARE VERSION:
(Settings > General > About product)

2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Main menu -> Settings
2. "Enter code for unlocking SIM card" button in the menu
3. 

EXPECTED OUTCOME:

Button should not be available if user typed their PIN correctly upon bootup
and registered to the network.

ACTUAL OUTCOME:

Button is there at all times, bringing Fear, Uncertainty and Doubt to the user
;)

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

Always.

EXTRA SOFTWARE INSTALLED:

Doesn't matter.

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.1.6)
Gecko/20091215 Ubuntu/9.10 (karmic) Firefox/3.5.6
Comment 1 Andre Klapper maemo.org 2010-01-13 11:22:44 UTC
I now realize that this report is most probably invalid.
This option is for unlocking the SIM card (I dislike saying "jailbreaking", but
that's what others seem to call it).
It does *not* ask again for entering a PIN code like at the startup.

Tomasz, agreeing with marking this invalid?
Comment 2 Tomasz Dominikowski (reporter) 2010-01-13 11:32:26 UTC
Now that I'm thinking about it, maybe it's for entering the PUK code, not the
PIN code, right? It shows numbers rather than hiding them, so it would make
sense. And the visibility of this button is another bug (shouldn't be visible
all the time). What I don't understand is that there is no way to type the PIN
if you skip PIN when the phone boots, yet there is a facility to enter PUK any
time you want, even forgetting the fact though the text on the button is very
vague to me and I've been using mobile phones for many years (should be "Enter
PUK for unlocking SIM card").
Comment 3 Andre Klapper maemo.org 2010-01-22 14:54:36 UTC
This has been fixed in package
hildon-control-panel 1:2.2.26-3+0m5
which is part of the internal build version
2010.02-5
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 4 timeless 2010-01-27 08:37:47 UTC
http://maemo.gitorious.org/fremantle-hildon-desktop/hildon-control-panel/commit/2baf19f6fe5a43b50cc757b9d23ede3fd71b7c96

Please note that this "lock" is when a phone is locked to a given operator, it
isn't a SIM specific number, it's a EMEI specific code. When people talk about
buying "locked" or "unlocked" phones, this is the knob they're talking about
it.

The vast majority of people I know with n900s have "an unlocked n900", so this
menu item was never supposed to be visible.
Comment 5 Andre Klapper maemo.org 2010-03-15 20:56:04 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 6 Neil MacLeod maemo.org 2010-05-26 19:09:33 UTC
(In reply to comment #5)
> Setting explicit PR1.2 milestone (so it's clearer in which public release the
> fix will be available to users).
> 
> Sorry for the bugmail noise (you can filter on this message).
> 

Are you sure this has been fixed?

I have a N900 direct from Nokia through the DDP, a T-Mobile UK 3G SIM (SIM only
contract - no phone subsidy) and I still see the "Unlock SIM" button in the
Settings Menu.

I have reflashed my N900 with PR1.2 Global rootfs and eMMC.
Comment 7 Neil MacLeod maemo.org 2010-05-26 19:36:06 UTC
My apologies, the exact text on my PR1.2 Global firmware is "Enter code to
remove operator lock" - is this the same as this bug now (perhaps the
text/wording changed with the new release?) I don't have any operator locks on
my phone/SIM (none that I know of anyway) so I don't know why this button is
visible.
Comment 8 Andre Klapper maemo.org 2010-05-28 01:00:22 UTC
Reopening to reflect internal status.
Comment 9 this_herd_of_these_horses 2010-09-09 15:54:58 UTC
I have an unlocked N900. I know it because I have first used SIM card of one
operator and now I use SIM card of another operator. Now, with the second SIM,
I happened to notice this button. What does it mean? Neither device lock code
at N900's startup nor SIM's PIN are suitable. I'll try PUK shortly. What is
this button for?
Comment 10 Andre Klapper maemo.org 2010-09-09 17:36:43 UTC
this_herd_of_these_horses: Unrelated to the bug report here

(In reply to comment #9)
> I have an unlocked N900.

Every N900 is unlocked. This bug report is about issues with the User Interface
when you have a code (e.g. four digits) that blocks using the SIM card in the
N900. Hence your question is unrelated to this bug report. Please ask further
questions in http://talk.maemo.org instead. Thanks!
Comment 11 moaej khan 2010-10-24 02:20:12 UTC
i have a problem about my nokia n900

my sim card is not working

when i go to setting it show me enter code for unblocking sim card

so where can i get that code

please help me........
Comment 12 moaej khan 2010-10-24 02:23:03 UTC
pls give me solution for my phone 

in setting it show me enter code for unblocking sim card




(In reply to comment #0)
> SOFTWARE VERSION:
> (Settings > General > About product)
> 
> 2.2009.51-1
> 
> EXACT STEPS LEADING TO PROBLEM: 
> (Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
> Connection Failed appears))
> 1. Main menu -> Settings
> 2. "Enter code for unlocking SIM card" button in the menu
> 3. 
> 
> EXPECTED OUTCOME:
> 
> Button should not be available if user typed their PIN correctly upon bootup
> and registered to the network.
> 
> ACTUAL OUTCOME:
> 
> Button is there at all times, bringing Fear, Uncertainty and Doubt to the user
> ;)
> 
> REPRODUCIBILITY:
> (always, less than 1/10, 5/10, 9/10)
> 
> Always.
> 
> EXTRA SOFTWARE INSTALLED:
> 
> Doesn't matter.
> 
> OTHER COMMENTS:
> 
> User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.1.6)
> Gecko/20091215 Ubuntu/9.10 (karmic) Firefox/3.5.6
>
Comment 13 Andre Klapper maemo.org 2010-10-24 17:33:06 UTC
(In reply to comment #11)
> when i go to setting

Too vague. Please provide *exact* steps.
See https://bugs.maemo.org/page.cgi?id=bug-writing.html

> it show me enter code for unblocking sim card so where can i get that code

From your mobile provider I assume?
Comment 14 George Nistorica 2010-10-29 16:48:01 UTC
This one is reproductible with Maemo 5 version 20.2010.36-2
 - No reflash, original installation then updated
 - Phone is not locked in any operator network
 - SIM is unlocked and the phone is connected to Vodafone
still the option appears in the Settings menu:
"Enter code to remove operator lock"
Comment 15 leona williams 2012-08-14 08:22:31 UTC
this happens with me like most of the times (n900)